package domain

type AlibabaWdkCouponSpreadApplyApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *AlibabaWdkCouponSpreadApplyCouponTemplateOperateResponse `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponSpreadApplyApiResult) SetErrCode(v string) *AlibabaWdkCouponSpreadApplyApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyApiResult) SetErrMsg(v string) *AlibabaWdkCouponSpreadApplyApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyApiResult) SetModel(v AlibabaWdkCouponSpreadApplyCouponTemplateOperateResponse) *AlibabaWdkCouponSpreadApplyApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyApiResult) SetSuccess(v bool) *AlibabaWdkCouponSpreadApplyApiResult {
	s.Success = &v
	return s
}
